::
:: This batch file compiles and links your program
::
@echo off
if [%3]==[] goto main
if '%1'=='[?' goto Loop
set {fn}=
set {xt}=
echo ;|xchoice /r /c:?%1; %0 > {t}.bat
{t}
::
:Loop 
:: 
if '%2'==']?' goto:End
if [%2]== [] goto:End
if [%2]==[%sep%] goto fsep
:second
set {xt}=%{xt}%%2
shift 
goto Loop
:fsep
if not []==[%{fn}%] goto second
set {fn}=%{xt}%
set {xt}=
shift
goto Loop
::
:main
set sep=.
if not [%2]==[] set sep=%2
call %0 %1 :: ::
set sep=
if not [] == [%{fn}%] goto nodup
set {fn}=%{xt}%
set {xt}=c
:nodup
cc386 /C+N -Ic:\CC386\INCLUDE %{fn}%.%{xt}%
if NOT ERRORLEVEL = 0 goto exit
NASM -fobj %{fn}%.asm
if NOT ERRORLEVEL=0 goto exit
valx -nci -use32 c:\CC386\LIB\c0dos.obj %{fn}%.obj,%{fn}%,%{fn}%,c:\CC386\LIB\CLDOS.LIB
:exit
set {fn}=
set {xt}=
::set
:End